Subject: GridEngine 6.0 for NetBSD
To: SGE users <>
From: Ron Chen <>
List: tech-cluster
Date: 04/26/2005 20:12:22
I checked in the code for the NetBSD port a few weeks
ago, and with a number of users reporting that SGE cvs
head (soon to be SGE 6.0 update 4) is working fine on
NetBSD, I think it is now time to tell a larger number
of people about the news.

To build SGE 6 on NetBSD, you will need Berkeley DB,
libssl, Motif, and java, *or* you can pass additional
flags to aimk to skip some of the features.

1) checkout the code from
(module name: gridengine)

2) goto the source directory, and then do:
 a) ./aimk -only-depend
 b) scripts/zerodepend
 c) ./aimk 

If you don't have, pass additional aimk switch:
 1) java/jni, add: -no-java -no-jni
 2) SSL headers/library, add: -no-secure
 3) Berkeley DB, add: -spool-classic
 4) Motif, add: -no-qmon

e.g. on a system with no DBD:
  a) ./aimk -spool-classic -only-depend
  b) scripts/zerodepend
  c) ./aimk -spool-classic

And likewise for other switches.

For problems encountered, please send to the SGE users
mailing list.


P.S. I should have sent this announcement easiler, but
I was busy this week traveling

Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around